<?php

namespace App\Controller\Admin\Thematic;

use App\Entity\Thematic\Thematic;
use Lc\PietroBundle\Controller\Thematic\ThematicAdminController as PietroThematicAdminController;
use Lc\SovBundle\Repository\RepositoryQueryInterface;

class ThematicAdminController extends PietroThematicAdminController
{
    public static function getEntityFqcn(): string
    {
        return Thematic::class;
    }

    public function getRepositoryQuery(): RepositoryQueryInterface
    {
        return $this->getThematicContainer()->getRepositoryQuery();
    }
}
